package cn.ibizlab.codegen.model;

import net.ibizsys.model.dataentity.logic.IPSDELogic;
import net.ibizsys.model.dataentity.service.IPSDEServiceAPIMethod;

public class LogicModel extends BaseModel {

    private EntityModel entity;

    public LogicModel(EntityModel entityModel, IPSDELogic iPSDELogic) {
        this.opt = iPSDELogic;
        this.entity = entityModel;
        this.setCodeName(iPSDELogic.getCodeName());
        this.setName(iPSDELogic.getName());
        this.setId(String.format("%1$s-%2$s", entity.getCodeName(), iPSDELogic.getCodeName()));
    }

    public IPSDELogic getPSDELogic() {
        return (IPSDELogic) opt;
    }

}
